# EnumerationClassBuilder Class Reference
[Class builders]

Inheritance diagram for EnumerationClassBuilder:
[legend]

List of all members.

## Static Public Member Functions

static | build (MetaClass $class)

## Detailed Description

Definition at line 15 of file EnumerationClassBuilder.class.php.

## Member Function Documentation

static EnumerationClassBuilder::build | ( | MetaClass $ | class | ) | `[static]`

Reimplemented from BaseBuilder.

Definition at line 17 of file EnumerationClassBuilder.class.php.

References OnceBuilder::getHead(), MetaClass::getName(), and MetaClass::getType().

Referenced by EnumerationClassPattern::build().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- meta/builders/EnumerationClassBuilder.class.php